
:host {
  position: relative;
  display: inline-block;
  width: 46px;
  height: 46px;

  .loader:after {
    content: "";
    display: block;
    width: 46px;
    height: 46px;
    margin: 1px;
    border-radius: 50%;
    border: 3px solid black;
    border-color: black transparent transparent transparent;
    animation: spinner-loader 0.8s linear infinite;
    position: absolute;
    top: 0;
  }

  .loader:before {
    content: " ";
    display: block;
    width: 46px;
    height: 46px;
    margin: 1px;
    border-radius: 50%;
    border: 3px solid white;
  }
  @keyframes spinner-loader {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
}